summaryrefslogtreecommitdiff
path: root/scripts/mkmakefile
authorkergoth <kergoth>2002-01-25 22:14:26 (UTC)
committer kergoth <kergoth>2002-01-25 22:14:26 (UTC)
commit15318cad33835e4e2dc620d033e43cd930676cdd (patch) (side-by-side diff)
treec2fa0399a2c47fda8e2cd0092c73a809d17f68eb /scripts/mkmakefile
downloadopie-15318cad33835e4e2dc620d033e43cd930676cdd.zip
opie-15318cad33835e4e2dc620d033e43cd930676cdd.tar.gz
opie-15318cad33835e4e2dc620d033e43cd930676cdd.tar.bz2
Initial revision
Diffstat (limited to 'scripts/mkmakefile') (more/less context) (ignore whitespace changes)
-rwxr-xr-xscripts/mkmakefile23
1 files changed, 23 insertions, 0 deletions
diff --git a/scripts/mkmakefile b/scripts/mkmakefile
new file mode 100755
index 0000000..1d21a2e
--- a/dev/null
+++ b/scripts/mkmakefile
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]
+then
+ echo "Usage: mkmakefile <dir> ..."
+ exit 1
+fi
+
+while [ $# -gt 0 ]
+do
+ DIR=`echo $1 | sed -e 's/\/$//'`
+ echo "Making $DIR/Makefile.in..."
+ H=`pwd`
+ cd $DIR
+ FILE=`basename $DIR`
+ TMAKEPATH=$QTDIR/tmake:$TMAKEPATH tmake CONFIG+=embedded -t $H/qt/tmake/propagate.t -o Makefile.in $FILE.pro
+ echo "Done."
+ shift
+ cd -
+done
+
+exit 0
+